#include "vision.h"
#include <bits/stdc++.h>
// #include "grader.cpp"

using namespace std;

using ll = long long;

#define vi     vector<int>
#define sz(a)  (int)(a).size()
#define all(a) (a).begin(), (a).end()

vector<int> getVisionPattern1d() {
    return {3, 1, 2};
}

int getMove1d(vector<int> v) {
    if (sz(v) == 3) {
        assert(v[0] == 2 || v[2] == 2);
        return (v[0] == 2 ? 0 : 2);
    }
    if (sz(v) == 5) {
        assert(v[0] == 1 || v[4] == 1);
        return (v[0] == 1 ? 0 : 4);
    }
    return 0;
    // assert(false);
}

vector<vector<int>> getVisionPattern2d() {
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return {0, 0};
}